Skip to content
Baremetrics

Show Plan Breakout

GET https://api.baremetrics.com/v1/metrics/{metric}/plans

This allows you to break down a metric by plan, across a date range

Path parameters

  • metric string required

    You can see a list of available metrics here

    Default ""

Query parameters

  • start_date string · date required
  • end_date string · date required

Responses

200OK
{
  "metrics": [
    {
      "date": 1477872000,
      "human_date": "2016-10-31",
      "value": 52664,
      "plan": {
        "oid": "startup_yearly_790",
        "source_id": "3ULWIj59pU016O",
        "source": "stripe",
        "name": "Startup (Yearly)",
        "interval": "year",
        "interval_count": 1,
        "trial_duration": null,
        "trial_duration_unit": null,
        "created": 1394818080,
        "active": true,
        "setup_fees": 0,
        "amounts": [
          {
            "currency": "USD",
            "symbol": "$",
            "symbol_right": false,
            "amount": 79000
          }
        ]
      }
    }
  ]
}
400Bad Request
{}